//		  Ŀ
//	> AVNER 
//	>  BEN  > Software Engineering Method
//		  
//	10 Dov-Hoz st. Tel-Aviv 63416 Israel tel. 972-3-221535

// The Screen NAVigator, ver 1.20 August 1990
// Copyright (c) 1990 by Avner Ben
// Snav is not, and never was, free software.
// for conditions for use refer to file "copyrigh.txt"

// The Screen Navigator is an object-oriented device-independent
// character-graphics driver package, written in the C++ language,
// distributed in the form of C++ source code.
// For further information refer to the documentation files.

// this simple example is intended as a template to be extended and modified
// by the user, provided the above title and copyright notice are unchanged
// and are not ommitted.

/***************************************************************************/

// demonstration part 3 - headers.
// Sample specific shapes that may be implemented by the user after
// the generic shape of snav-2.

// History:
// 2.11.89 avner ben coded.
// 13.7.90 last update by avner ben.

// Site history (of this copy):
// __.__.__ ____________ : __________________.

#ifndef SNAV3_H
#include "/mtad/snav/snav3.hpp"
#endif

class zigzag : public shape
{ // regular diagonal line
	private :
		int len;
		direction fstdir, nextdir;
		weight_d wgt;

	public :
		zigzag(int len, direction &indir1, direction &indir2,
		 weight_d &wgt=h1v1);
		void list (panel *scr, point_pos *pt);
} ;

class spiral : public shape
{ // spiral curve

	private :
		int len;
		direction dir;
		weight_d wgt;

	public :
		spiral(int startlen, direction &dir, weight_d &wgt=h1v1);
		void list (panel *scr, point_pos *pt);
} ;

