procedure used to count number of lines in snav code, as appearing
in file contents.prn.

1. file count.bat:
  erase count.dat
  for %%f in (snav*.hpp) do awk -f count1.awk %%f >>count.dat
  for %%f in (snav*.cpp) do awk -f count1.awk %%f >>count.dat
  for %%f in (demo*.hpp) do awk -f count1.awk %%f >>count.dat
  for %%f in (demo*.cpp) do awk -f count1.awk %%f >>count.dat
  awk -f count2.awk count.dat

2. file count1.awk:
  $1 ~ /^\/\*/ , $0 ~ /\*\// {crems++}
  $1 ~ /^\/\// {cpprems++}
  $1 == "" {blanks++}
  END {printf "%32s %04d %04d\n",FILENAME,NR,NR-cpprems-crems-blanks}

2. file count2.awk:
  {numtot+=$2; numgood+=$3}
  END {print numtot OFS numgood}
